Subject: [v6ops] RFC 2119 language in an informational draft?

From: Fred Baker <[email-masked]>
Date: Thu, 5 Aug 2021 01:17:01 -0700

May I suggest that an informational draft doesn't impose requirements, so there is no need for RFC 2119 language?

---

From: tom petch <[email-masked]>
Date: Thu, 5 Aug 2021 16:00:28 +0000

From: v6ops <[email-masked]> on behalf of Fred Baker <[email-masked]>
Sent: 05 August 2021 09:17

<tp>
I think that that suggestion is erroneous.  Protocol specifications from other parties who publish via the ISE should not be barred from using RFC8174 language.  RFC7868 comes to mind and if I knew how to search for ISE publications, I suspect that I would find many more.

Tom Petch

---

From: Warren Kumari <[email-masked]>
Date: Thu, 5 Aug 2021 12:20:56 -0400

On Thu, Aug 5, 2021 at 12:00 PM tom petch <[email-masked]> wrote:

> I think that that suggestion is erroneous.

+1.

While this might be argumentum ad antiquitam, it is clear that this isn't
the standard interpretation.

Looking through the RFCs 8000 and above, I find 262 Informational documents
using RFC2119 (RFC8174) language, and >4000 instances:
$ for file in (grep -l 'Category: Informational' rfc8???.txt)
                                                  egrep
"SHOULD|MUST|REQUIRED|SHALL|RECOMMENDED|MAY|OPTIONAL" $file
                                              end > ~/tmp/info_2119.txt
$ wc -l ~/tmp/info_2119.txt
  4023

This undercounts the number because there may be multiple instances of 2119
language per line.

> Protocol specifications from other parties who publish via the ISE should
not be barred from using RFC8174 language.  RFC7868 comes to mind and if I
knew how to search for ISE publications, I suspect that I would find many
more.

Looking through ISE documents >8000 I find roughly 1700 instances:

for file in (grep -l 'Independent Submission' rfc8???.txt)
                                               egrep --with-filename
"SHOULD|MUST|REQUIRED|SHALL|RECOMMENDED|MAY|OPTIONAL" $file
                                           end > ~/tmp/ise_2119.txt

wc -l ~/tmp/ise_2119.txt
    1737

The last 10 for spot-checkin':
more /Users/wkumari/tmp/ise_2119.txt | awk '{print $1}' | sort | uniq |
tail -10
rfc8774.txt:
rfc8785.txt:
rfc8802.txt:
rfc8805.txt:
rfc8902.txt:
rfc8904.txt:
rfc8905.txt:
rfc8927.txt:
rfc8962.txt:
rfc8998.txt:

>
> Tom Petch
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

-- 
The computing scientist’s main challenge is not to get confused by the
complexities of his own making.
  -- E. W. Dijkstra

---

From: Jen Linkova <[email-masked]>
Date: Fri, 6 Aug 2021 13:38:41 +1000

On Fri, Aug 6, 2021 at 2:22 AM Warren Kumari <[email-masked]> wrote:
> While this might be argumentum ad antiquitam, it is clear that this isn't the standard interpretation.
>
> Looking through the RFCs 8000 and above, I find 262 Informational documents using RFC2119 (RFC8174) language, and >4000 instances:
>                                                   egrep "SHOULD|MUST|REQUIRED|SHALL|RECOMMENDED|MAY|OPTIONAL" $file

[pedantic mode on] An informational document may contain quotes from
the standard ones, so your grep would count them as well.

-- 
SY, Jen Linkova aka Furry

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 6 Aug 2021 07:40:32 +0000

> From: v6ops <[email-masked]> On Behalf Of Jen Linkova
> Sent: vendredi 6 août 2021 5:39
> To: Warren Kumari <[email-masked]>
> Cc: v6ops list <[email-masked]>; [email-masked]
> Subject: Re: [v6ops] RFC 2119 language in an informational draft?
> 
> >> May I suggest that an informational draft doesn't impose requirements,
> so there is no need for RFC 2119 language?
> > Looking through the RFCs 8000 and above, I find 262 Informational
> documents using RFC2119 (RFC8174) language, and >4000 instances:
> >                                               end >
> > ~/tmp/info_2119.txt $ wc -l ~/tmp/info_2119.txt
> >   4023
> 
> [pedantic mode on] An informational document may contain quotes from the
> standard ones, so your grep would count them as well.
> 
Hello Jen,

In that case, maybe is makes sense to allow the MUST (should it be between quotes?) but not to allow the BCP 14 snippet.

Now, can there be BCP 14 text in an informational that would go straight through AD sponsorship, and document a protocol that was defined outside the IETF, e.g., implemented by one company and offered to the community? I guess uppercase makes sense too in such document, and the BCP 14 snippet does too.

No later than yesterday I received a proposed amendment, for an informational text, that contained MUST and SHOULD. So yes, the mistake must be commonplace as people are not necessarily aware of the practice. 

Net-Net: I see the value of raising a warning in a nit check, and document the exception in the shepherd write up if the uppercase is confirmed, but not that we can bar it the hard way.

Keep safe;

Pascal

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Fri, 6 Aug 2021 14:32:24 +0000

> In that case, maybe is makes sense to allow the MUST (should it be between
> quotes?) but not to allow the BCP 14 snippet.
> 
> Now, can there be BCP 14 text in an informational that would go straight
> through AD sponsorship, and document a protocol that was defined outside the
> IETF, e.g., implemented by one company and offered to the community? I guess
> uppercase makes sense too in such document, and the BCP 14 snippet does too.
> 
> No later than yesterday I received a proposed amendment, for an informational
> text, that contained MUST and SHOULD. So yes, the mistake must be
> commonplace as people are not necessarily aware of the practice.
> 
> Net-Net: I see the value of raising a warning in a nit check, and document the
> exception in the shepherd write up if the uppercase is confirmed, but not that
> we can bar it the hard way.

I'm not aware of any prohibition on having normative language in an informational draft and would be very much opposed to such a prohibition. For example, RFCs 7084 (IPv6 CE router), 8585 (IPv6 transition CE router), and 2516 (PPPoE) would be seriously diminished by a lack of RFC2119 language. The first 2 of these are v6ops products.
Barbara

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Fri, 06 Aug 2021 16:39:47 +0200

+1

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.